Bug 1025312 - NoClassDefFoundError when invoking deployment to JON target
NoClassDefFoundError when invoking deployment to JON target
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER7
: 6.0.0
Assigned To: Nick Cross
Stefan Bunciak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 09:09 EDT by Stefan Bunciak
Modified: 2014-02-06 10:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
modified default workflows (76.18 KB, application/x-zip-compressed)
2013-10-31 09:11 EDT, Stefan Bunciak
no flags Details
dtgov configuration (2.96 KB, text/plain)
2013-10-31 09:13 EDT, Stefan Bunciak
no flags Details

  None (edit)
Description Stefan Bunciak 2013-10-31 09:09:14 EDT
Description of problem:

My dtgov workflows contains dpeloyment to 2 targets: local FSW & remote JON. Local FSW works as expected but when trying to deploy to JON it fails on 

org.overlord.sramp.governance.services.GovernanceApplication threw exception: org.jboss.resteasy.spi.UnhandledException: java.lang.NoClassDefFoundError: org/hamcrest/core/CombinableMatcher

Version-Release number of selected component (if applicable):
* 6.0.0.ER6(Beta)

How reproducible:


Steps to Reproduce:
1. Install FSW configure dtgov to use JON target (according to attached dtgov.properties)
2. deploy attached (modified) workflows
3. Create new deployment and proceed to FinishTask

Actual results:


Expected results:


Additional info:
* Adding configuration/workflows example
Comment 1 Stefan Bunciak 2013-10-31 09:11:27 EDT
Created attachment 817905 [details]
modified default workflows
Comment 2 Stefan Bunciak 2013-10-31 09:13:13 EDT
Created attachment 817906 [details]
dtgov configuration
Comment 3 Stefan Bunciak 2013-10-31 09:14:51 EDT
Server log: http://pastebin.test.redhat.com/173514
Comment 4 Kurt T Stam 2013-10-31 13:22:40 EDT
Hi Stefan,

The project, as well as the prod branch both have hamcrest-core-1.2.1.jar, somehow FSW put version 1.1 in the dtgov.war. I don't know why. I will talk to Nick and find out.
Comment 5 Kurt T Stam 2013-11-07 12:21:25 EST
Nick, if needed you can upgrade to hamcrest 1.3. In fact bz 1017698 will do just that.
Comment 6 Nick Cross 2013-12-04 09:35:14 EST
FSW is now packaging hamcrest-1.3 rather than 1.1
Comment 7 Stefan Bunciak 2014-01-15 10:06:45 EST
Verified in FSW 6.0.0.ER8

Note You need to log in before you can comment on or make changes to this bug.